package market.Mes.anneal.mapper;
import java.util.HashMap;
import java.util.List;

import market.Mes.anneal.vo.PlnSchedulingMch;

import com.hnshituo.orm.GenericMapper;


public interface PlnSchedulingMchMapper extends GenericMapper<PlnSchedulingMch,Object> {

	List<HashMap> doDiaoduQueryWeb_4mm(String string, String memo1);

	List<HashMap> doDiaoduQueryWeb_3mm(String machine_code, String memo1);

	List<HashMap> doDiaoduQueryWeb_anneal(String machine_code, String memo1);

	List<HashMap> doDiaoduQueryWeb_tpm(String machine_code, String memo1);

	List<HashMap> doDiaoduQueryWeb_rcm(String machine_code, String memo1);

	List<PlnSchedulingMch> doDiaoduQueryWeb(PlnSchedulingMch object, String memo1);

	void doDeleteJindu(PlnSchedulingMch pscp, String string);

	void doDelete(PlnSchedulingMch pscp11, String string);

	List<HashMap> doDiaoduQueryWeb_suanxi(String machine_code, String memo1);

	
	
	
}
